complexType "EventActivityReport"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 26 elements
Defined: | globally in fpml-reporting-5-3.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, onBehalfOf[0..4]?, asOfDate?, dataSetName?, quotationCharacteristics?, fromDateTime?, toDateTime?, submissionsComplete?, reportContents?, ((originatingEvent?, trade?) | amendment? | increase? | (terminatingEvent?, termination?) | novation? | optionExercise? | optionExpiry* | deClear? | additionalEvent?)+, party*, account*
</...>

Content Model Elements (26):

  account, additionalEvent, amendment, asOfDate (in eventActivityReport), correlationId, dataSetName (in eventActivityReport), deClear, fromDateTime (in eventActivityReport), header (defined in NotificationMessage complexType), increase, novation, onBehalfOf (defined in OnBehalfOf.model group), optionExercise, | optionExpiry (defined in Events.model group), originatingEvent (defined in Events.model group), parentCorrelationId, party (defined in PartiesAndAccounts.model group), quotationCharacteristics (in eventActivityReport), reportContents (in eventActivityReport), sequenceNumber (defined in Sequence.model group), submissionsComplete (in eventActivityReport), terminatingEvent (defined in Events.model group), termination, toDateTime (in eventActivityReport), trade (defined in Events.model group), validation

All Direct / Indirect Based Elements (1):

  eventActivityReport

Known Usage Locations

- As direct type of elements (1):
  eventActivityReport

Annotation
A type defining the content model for a message allowing one party to send a report consisting of a series of trading events that may affect positions.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) EventActivityReport

XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="EventActivityReport"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="dataSetName" type="xsd:string"/> <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"/> <xsd:element minOccurs="0" name="fromDateTime" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="toDateTime" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"/> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/> <xsd:group maxOccurs="unbounded" ref="Events.model"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/26)
asOfDate

  Type: | IdentifiedDate, simple content

  The date for which this document reports positions and valuations.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/>

dataSetName

  Type: | xsd:string, predefined, simple content

  The name of the data set (portfolio, product type, etc.) that this report corresponds to. Used to help document the contents of the report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dataSetName" type="xsd:string"/>

fromDateTime

  Type: | xsd:dateTime, predefined, simple content

  The starting point for reporting activity in this report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fromDateTime" type="xsd:dateTime"/>

quotationCharacteristics

  Type: | QuotationCharacteristics, complex content

  The default quotation characteristics for this document (e.g. currency, location). Currency must be specified; other fields may be specified.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quotationCharacteristics" type="QuotationCharacteristics"/>

reportContents

  Type: | ReportContents, complex content

  The specific characteristics included in the report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/>

submissionsComplete

  Type: | xsd:boolean, predefined, simple content

  Indicates whether all portfolio updates have been submitted for this as-of date
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"/>

toDateTime

  Type: | xsd:dateTime, predefined, simple content

  The ending point for reporting activity in this report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="toDateTime" type="xsd:dateTime"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.